Bullet Collision Detection & Physics Library: btTriangleRaycastCallback Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
btTriangleRaycastCallback Class Referenceabstract

`#include <btRaycastCallback.h>`

Inheritance diagram for btTriangleRaycastCallback:
[legend]
Collaboration diagram for btTriangleRaycastCallback:
[legend]

## Public Types
enum | EFlags { kF_None = 0 , kF_FilterBackfaces = 1 << 0 , kF_KeepUnflippedNormal = 1 << 1 , kF_UseSubSimplexConvexCastRaytest = 1 << 2 , kF_UseGjkConvexCastRaytest = 1 << 3 , kF_DisableHeightfieldAccelerator = 1 << 4 , kF_Terminator = 0xFFFFFFFF }

## Public Member Functions
| btTriangleRaycastCallback (const btVector3 &from, const btVector3 &to, unsigned int flags=0)
virtual void | processTriangle (btVector3 *triangle, int partId, int triangleIndex)
virtual btScalar | reportHit (const btVector3 &hitNormalLocal, btScalar hitFraction, int partId, int triangleIndex)=0
Public Member Functions inherited from btTriangleCallback
virtual | ~btTriangleCallback ()
virtual void | processTriangle (btVector3 *triangle, int partId, int triangleIndex)=0

## Public Attributes
btVector3 | m_from
btVector3 | m_to
unsigned int | m_flags
btScalar | m_hitFraction

## Detailed Description

Definition at line 24 of file btRaycastCallback.h.

## Member Enumeration Documentation

## ◆ EFlags

enum btTriangleRaycastCallback::EFlags

Enumerator
kF_None |
kF_FilterBackfaces |
kF_KeepUnflippedNormal |
kF_UseSubSimplexConvexCastRaytest | SubSimplexConvexCastRaytest is the default, even if kF_None is set.
kF_UseGjkConvexCastRaytest |
kF_DisableHeightfieldAccelerator |
kF_Terminator |

Definition at line 32 of file btRaycastCallback.h.

## Constructor & Destructor Documentation

## ◆ btTriangleRaycastCallback()

btTriangleRaycastCallback::btTriangleRaycastCallback | ( | const btVector3 & | from,
|  | const btVector3 & | to,
|  | unsigned int | flags = `0`
| ) |  |

Definition at line 26 of file btRaycastCallback.cpp.

## Member Function Documentation

## ◆ processTriangle()

void btTriangleRaycastCallback::processTriangle | ( | btVector3 * | triangle,
|  | int | partId,
|  | int | triangleIndex
| ) |  |
| virtual

Implements btTriangleCallback.

Definition at line 35 of file btRaycastCallback.cpp.

## ◆ reportHit()

virtual btScalar btTriangleRaycastCallback::reportHit | ( | const btVector3 & | hitNormalLocal,
|  | btScalar | hitFraction,
|  | int | partId,
|  | int | triangleIndex
| ) |  |
| pure virtual

Implemented in MyCallback.

## Member Data Documentation

## ◆ m_flags

unsigned int btTriangleRaycastCallback::m_flags

Definition at line 43 of file btRaycastCallback.h.

## ◆ m_from

btVector3 btTriangleRaycastCallback::m_from

Definition at line 28 of file btRaycastCallback.h.

## ◆ m_hitFraction

btScalar btTriangleRaycastCallback::m_hitFraction

Definition at line 45 of file btRaycastCallback.h.

## ◆ m_to

btVector3 btTriangleRaycastCallback::m_to

Definition at line 29 of file btRaycastCallback.h.

The documentation for this class was generated from the following files:

- btRaycastCallback.h
- btRaycastCallback.cpp